<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use PDF;
use App\Pengunjung;
use App\Pembayaran;

class PDFController extends Controller
{
    

     public function getPDFPembayaran(){
        $pembayarans=Pembayaran::all();
        $pdf=PDF::loadView('pdf.pembayaranAll', ['pembayarans'=>$pembayarans]);
        return $pdf->stream('pembayaranAll.pdf');
    }

    public function showPDF($id){
          $pembayarans = Pembayaran::findOrFail($id);
      $pdf=PDF::loadView('pdf.pembayaran', ['pembayarans'=>$pembayarans]);
        return $pdf->stream('pembayaran.pdf');
    }

    public function getPDFKeuangan(){
        $pembayarans=Pembayaran::all();
        $pdf=PDF::loadView('pdf.keuangan', ['pembayarans'=>$pembayarans]);
        return $pdf->stream('keuangan.pdf');
    }
}
